Skip to main content
POST
/
videos
/
upload
/
complete
Complete an upload
curl --request POST \
  --url https://api.cut.pro/api/v1/videos/upload/complete \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --data '
{
  "video_id": "<string>",
  "file_name": "<string>",
  "duration": 123,
  "width": 123,
  "height": 123
}
'
{
  "video_id": "<string>",
  "title": "<string>",
  "description": "<string>",
  "author": "<string>",
  "platform": "<string>",
  "duration": 123,
  "thumbnail_url": "<string>",
  "credits_cost": 123,
  "credits_original": 123,
  "discount_percent": 123,
  "force_watermark": true,
  "current_balance": 123
}

Documentation Index

Fetch the complete documentation index at: https://cut.pro/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Api-Key
string
header
required

Body

video_id
string
required

The video_id returned by POST /videos/upload.

file_name
string
required

Original file name — used as the video title.

duration
number
required

Video duration in seconds.

width
number
required

Video width in pixels.

height
number
required

Video height in pixels.

Response

Response for status 200

video_id
string
required
title
string
required
description
string
required
author
string
required
platform
string
required
duration
number
required
thumbnail_url
string
required
credits_cost
number
required

Credits that will be charged when you submit this video.

credits_original
number
required

Credit cost before any plan discount.

discount_percent
number
required

Discount applied by the current plan (0-100).

force_watermark
boolean
required

true if generated clips will carry a CutPro watermark.

current_balance
number
required

Current workspace credit balance.

Last modified on May 27, 2026